## golang-github-zorkian-go-datadog-api 2.22.0%2Bgit20190822.e9c4097

=== Makefile ===
TEST?=$$(go list ./... | grep -v '/go-datadog-api/vendor/')
GOFMT_FILES?=$$(find . -name '*.go' | grep -v vendor)

default: test fmt

generate:
	go generate

# test runs the unit tests and vets the code
test:
	go test . $(TESTARGS) -v -timeout=30s -parallel=4
	@$(MAKE) vet

# testacc runs acceptance tests
testacc:
	go test integration/* -v $(TESTARGS) -timeout 90m

# testrace runs the race checker
testrace:
	go test -race $(TEST) $(TESTARGS)

fmt:
	gofmt -w $(GOFMT_FILES)

# vet runs the Go source code static analysis tool `vet` to find
# any common errors.
vet:
	@echo "go vet"
	@go vet; if [ $$? -ne 0 ]; then \
		echo ""; \
		echo "Vet found suspicious constructs. Please check the reported constructs"; \
		echo "and fix them if necessary before submitting the code for review."; \
		exit 1; \
	fi

.PHONY: default test testacc updatedeps vet

## golang-github-zorkian-go-datadog-api 2.22.0+git20190822.e9c4097

=== debian/changelog ===
golang-github-zorkian-go-datadog-api (2.22.0+git20190822.e9c4097-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Dec 2019 21:08:06 +0000

golang-github-zorkian-go-datadog-api (2.22.0+git20190822.e9c4097-1) unstable; urgency=medium

  * Initial release (Closes: #821287)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Aug 2019 19:08:25 +0000

=== debian/control ===
Source: golang-github-zorkian-go-datadog-api
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-cenkalti-backoff-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.4.1
Homepage: https://github.com/zorkian/go-datadog-api
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-zorkian-go-datadog-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-zorkian-go-datadog-api.git
XS-Go-Import-Path: github.com/zorkian/go-datadog-api
Testsuite: autopkgtest-pkg-go

Package: golang-github-zorkian-go-datadog-api-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-cenkalti-backoff-dev,
         golang-github-stretchr-testify-dev
Description: Go implementation of the Datadog API
 This package contains a Go wrapper for the Datadog API.
 Use this library if you need to interact with the Datadog system.
 You can post metrics with it if you want, but this library is
 probably mostly used for automating dashboards/alerting and
 retrieving data (events, etc).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-zorkian-go-datadog-api-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/zorkian/go-datadog-api/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-zorkian-go-datadog-api 2.30.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	go test -race $(TEST) $(TESTARGS)
 
 fmt:
-	gofmt -w $(GOFMT_FILES)
+	gofmt -w -s $(GOFMT_FILES)
 
 # vet runs the Go source code static analysis tool `vet` to find
 # any common errors.

=== debian/changelog ===
golang-github-zorkian-go-datadog-api (2.30.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release
  * reverse dependencies successfully built with ratt:
    - nothing todo for this package

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Dec 2020 19:13:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-cenkalti-backoff-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/zorkian/go-datadog-api
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-zorkian-go-datadog-api
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-zorkian-go-datadog-api.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	echo "ignore tests for now, as they need a real Datadog account"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-zorkian-go-datadog-api-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/zorkian/go-datadog-api/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
